@import url("./reset.css");

body {
  font-family: "Montserrat", sans-serif;
  min-width: 1200px;
}

/* HEADER */

.section_header {
  background: center center/cover no-repeat url("../images/sectionsbackground/section-1.png");
  background-attachment: fixed;
}

.header {
  top: 5px;
  width: 100%;
  height: 120px;
  background: rgba(94, 93, 88, 0.6);
  box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);
  position: relative;
  margin-bottom: 268px;
}

.container_header {
  display: flex;
  text-align: center;
  justify-content: center;
}

.header_nav {
  margin-top: 26px;
  display: flex;
  flex-direction: row;
  gap: 305px;
  text-align: center;
  justify-content: center;
}

.header_title_logo {
  display: flex;
  gap: 6px;
  text-align: center;
  justify-content: center;
}

.header_logo {
  width: 58px;
  height: 67px;
}

.header_nav_list {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.header_title {
  font-size: 32px;
  line-height: 2;
  color: #ffffff;
}

.header_title span {
  font-weight: 700;
  color: #18cfab;
}

.header_nav_list {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 21px;
}

.header_nav_item {
  font-weight: 700;
  font-size: 16px;
  line-height: 4;
  text-transform: uppercase;
  color: rgba(255, 255, 255, 0.6);
}

.header_nav_item:hover {
  color: #18cfab;
  text-decoration: underline;
  text-underline-offset: 55px;
  text-decoration-thickness: 2px;
}

/* TITLE */

.container_title {
  width: 772px;
  margin: 0 auto;
  text-align: center;
  text-transform: uppercase;
  color: #ffffff;
  font-weight: 700;
  margin-bottom: 122px;
}

.title_with_span {
  font-size: 35px;
  line-height: 3;
}

.title_with_span span {
  color: #18cfab;
}

.title {
  font-size: 78px;
  line-height: 1;
}

.motto_title {
  font-weight: 400;
  font-size: 34px;
  line-height: 3;
  color: #d4d4d4;
  text-transform: none;
}

.container_btns {
  margin: 0 auto;
  max-width: 362px;
  display: flex;
  justify-content: space-between;
}

.btn {
  width: 168px;
  height: 63px;
  font-family: "Montserrat", sans-serif;
  font-weight: 700;
  font-size: 15px;
  line-height: 2.12;
  text-transform: uppercase;
  border-radius: 5px;
  border-top: 5px solid #fff;
  color: #fff;
  background-color: #18cfab;
  cursor: pointer;
  margin-bottom: 243px;
}

.btn-blue {
  background-color: #00cbf6;
}

.four_options_box {
  margin-top: 4px;
  height: 360px;
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  margin-bottom: 90px;
}

.four_options_box_item {
  font-weight: 700;
  font-size: 20px;
  line-height: 1.2;
  text-transform: uppercase;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  gap: 50px;
}

.four_options_box_item:nth-child(1),
.four_options_box_item:nth-child(3) {
  color: #18cfab;
  background-color: #1c2a33;
}

.four_options_box_item:nth-child(2),
.four_options_box_item:nth-child(4) {
  background-color: #18cfab;
  color: #fff;
}

/* OUR SERVICES */

.our_services {
  background-color: #fff;
  max-width: 1160px;
  margin: 0 auto;
  display: flex;
  flex-direction: column;
  text-align: center;
  align-items: center;
  margin-bottom: 91px;
}

.container_services_title {
  margin-bottom: 100px;
}

.service_title {
  font-weight: 400;
  font-size: 36px;
  line-height: 1.11;
  color: #4e4e4e;
}

.service_title::after {
  content: "";
  position: relative;
  display: block;
  width: 75px;
  height: 1px;
  left: calc(50% - 88px / 2);
  top: 25px;
  background: #18cfab;
}

.service_title::before {
  content: "";
  position: relative;
  display: block;
  width: 75px;
  height: 1px;
  left: calc(50% - 88px / 2 + 13px);
  top: 70px;
  background: #18cfab;
}

.tabs_services_title_list {
  display: flex;
  flex-direction: row;
  margin-bottom: 23px;
}

.tabs_services_title {
  width: 193px;
  height: 73px;
  font-size: 16px;
  line-height: 2.44;
  color: #717171;
  background: #f8fcfe;
  border: 1px solid #edefef;
  padding: 15px;
}

.tabs_services_title:hover {
  border: 1.5px solid #18cfab;
  cursor: pointer;
}
.tabs_services_title.active-tab {
  border: 1px solid #18cfab;
  cursor: pointer;
}

.tab_description_services_box {
  display: flex;
  gap: 13px;
}

.text_content_services_tab {
  font-weight: 300;
  font-size: 13.645px;
  line-height: 1.79;
  color: #777777;
}

.img_tab_services {
  width: 194px;
  height: 139px;
}

.tabs_services_title.active-tab {
  height: 80px;
  clip-path: polygon(
    0 0,
    100% 0,
    100% 91.5%,
    56.22% 91.5%,
    50% 100%,
    43.78% 91.5%,
    0 91.5%
  );
  background: #18cfab;
  border: 1px solid #18cfab;
  color: #fff;
}

.tabs_services_item.active-content {
  display: block;
}

.tabs_services_item {
  display: none;
}

/* Everything is ready */

.buy_install {
  background: center center/cover no-repeat
    url(../images/sectionsbackground/section-2.png);
  background-attachment: fixed;
}

.buy_install_container {
  margin: 0 auto;
  display: flex;
  justify-content: center;
  text-align: center;
  flex-direction: column;
}

.buy_install_title {
  font-weight: 700;
  font-size: 40px;
  line-height: 1;
  text-transform: uppercase;
  color: #18cfab;
  margin-top: 127px;
  margin-bottom: 13px;
}

.buy_install_paragraph {
  font-weight: 400;
  font-size: 16px;
  line-height: 2.5;
  color: #d8d8d8;
  margin-bottom: 62px;
}

.btn_buy_install {
  margin: 0 auto;
  margin-bottom: 128px;
}

/* OUR AMAZING WORK */

.our_work {
  background-color: #e9edef;
}

.container_our_work {
  margin: 0 auto;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  max-width: 1160px;
}

.our_work_title {
  font-weight: 400;
  font-size: 36px;
  line-height: 1.11;
  color: #4e4e4e;
  margin-top: 97px;
  margin-bottom: 93px;
}

.our_work_title::after {
  content: "";
  position: relative;
  display: block;
  width: 75px;
  height: 1px;
  left: calc(50% - 88px / 2);
  top: 25px;
  background: #18cfab;
}

.our_work_title::before {
  content: "";
  position: relative;
  display: block;
  width: 75px;
  height: 1px;
  left: calc(50% - 88px / 2 + 13px);
  top: 70px;
  background: #18cfab;
}

.our_work_title_list {
  display: flex;
  justify-content: center;
  align-items: center;
}

.our_work_title_item {
  padding: 14px 15px;
  line-height: 3;
  color: #717171;
  background: rgba(0, 0, 0, 0.0001);
  border: 1px solid #dadada;
}

.our_work_title_item:first-child {
  padding: 14px 40px;
}

.our_work_title_item:hover,
.active {
  border: 2px solid #18cfab;
  color: #18cfab;
  cursor: pointer;
}
.load_more {
  margin: 70px auto 0 auto;
  padding: 20px;
  font-size: 14px;
  line-height: 3;
  border-top: none;
  display: flex;
  justify-content: center;
  align-items: center;
}
.load_more p {
  margin-top: 5px;
}
.btn_plus {
  margin-right: 15px;
}
.our_work_gallery {
  margin-top: 71px;
  width: 100%;
  display: grid;
  grid-template-columns: repeat(4, 1fr);
}
.our_work_gallery_descr {
  width: 284px;
  height: 206px;
}
.our_work_img {
  overflow: hidden;
}
.img-descr {
  width: 100%;
}
.loader {
  width: 48px;
  height: 48px;
  margin: 75px auto 10px;
  border: 5px solid #18cfab;
  border-bottom-color: transparent;
  border-radius: 50%;
  display: block;
  box-sizing: border-box;
  animation: rotation 1s linear infinite;
}
@keyframes rotation {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}
.hover_bg {
  display: none;
  text-align: center;
  font-weight: 300;
  font-size: 12px;
  line-height: 2.07;
  text-decoration: none;
  color: #8a8a8a;
  border-top: 2.37px solid #18cfab;
  background: #e9edef;
}
.icon_hover_bg {
  height: 43px;
  margin-top: 44px;
}
.hover_bg span {
  display: none;
  margin-top: 24px;
  font-weight: 700;
  font-size: 14px;
  line-height: 1.78;
  text-transform: uppercase;
  color: #18cfab;
  cursor: pointer;
}
.our_work_gallery_descr:hover .hover_bg,
.our_work_gallery_descr:hover .hover_bg span {
  display: block;
}
.our_work_gallery_descr:hover .our_work_img {
  display: none;
}
.hide {
  display: none;
}
.our_work_gallery_descr.hide {
  display: none;
}

.height{
  height: 100px;
}

/* BREAKING NEWS */

.breaking_news {
  background: #fff;
}

.container_news {
  margin: 0 auto;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  max-width: 1160px;
  margin-bottom: 140px;
}

.news_list {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  grid-template-rows: repeat(2, 1fr);
  grid-column-gap: 33px;
  grid-row-gap: 73px;
}

.news_link {
  position: relative;
  color: #fff;
}
.february {
  position: absolute;
  width: 66px;
  height: 65px;
  top: 0;
  right: 0;
  font-size: 16px;
  line-height: 1.56;
  text-align: center;
  color: #fff;
  background: #203e38;
}
.news_image_container {
  overflow: hidden;
}

.subtitle_news {
  margin-top: 14px;
  margin-left: 16px;
  width: 184px;
  height: 50px;
  text-align: center;
}
.subtitle_news p {
  font-weight: 300;
  line-height: 2;
  color: #777777;
  width: 200px;
  display: flex;
  gap: 50px;
}
.subtitle_news span {
  font-weight: 700;
  font-size: 18px;
  line-height: 2.16;
  color: #717171;
}

.wrap {
  margin-left: 5px;
  margin-right: 5px;
  font-weight: 700;
  font-size: 18px;
  line-height: 2.16;
  color: #717171;
}
.news_link:hover .february {
  background: #18cfab;
}
.news_link:hover .subtitle_news span {
  color: #18cfab;
  padding: 0 0 0 15px;
}

.flex_title {
  flex-direction: row;
  display: flex;
  justify-content: space-around;
}

/* What People Say About theHam */

.people_say {
  background: center center/cover no-repeat url("../images/sectionsbackground/section-3.png");
  min-width: 1200px;
  padding-bottom: 99px;
  background-attachment: fixed;
}

.container_people_say {
  margin: 0 auto;
  display: flex;
  flex-direction: column;
  text-align: center;
  justify-content: center;
  gap: 100px;
}

.people_say_title {
  font-weight: 400;
  font-size: 36px;
  line-height: 1.11;
  color: #ffffff;
  margin-top: 100px;
}

.people_say_title::after {
  content: "";
  position: relative;
  display: block;
  width: 75px;
  height: 1px;
  left: calc(50% - 88px / 2);
  top: 25px;
  background: #18cfab;
}

.people_say_title::before {
  content: "";
  position: relative;
  display: block;
  width: 75px;
  height: 1px;
  left: calc(50% - 88px / 2 + 13px);
  top: 70px;
  background: #18cfab;
}

.reviews {
  position: relative;
  width: 100%;
  margin-top: 37px;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
}
.reviews .slide_reviews {
  height: 100%;
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  font-weight: 300;
  color: #bbbbbb;
  display: none;
}
.reviews .people_img {
  height: 170px;
  width: 170px;
  margin-top: 38px;
  object-fit: cover;
  border-radius: 50%;
  border: 10px solid rgba(31, 218, 181, 0.2);
}

.reviews .text_reviews {
  width: 1160px;
  text-align: center;
  font-size: 16px;
  line-height: 1.88;
  color: #bbbbbb;
}
.reviews .info_reviews {
  margin-top: 37px;
  display: flex;
  flex-direction: column;
  text-align: center;
}
.info_reviews .name {
  font-weight: 700;
  font-size: 16px;
  line-height: 1.69;
  text-transform: uppercase;
  color: #18cfab;
}
.info_reviews .job {
  font-size: 13px;
  line-height: 2.08;
  color: #bbbbbb;
}
.left-arrow,
.right-arrow {
  position: absolute;
  bottom: 22px;
  width: 31px;
  height: 31px;
  color: #bbbbbb;
  font-size: 20px;
  background: rgba(0, 0, 0, 0.0001);
  border: 1px solid #bbbbbb;
  cursor: pointer;
  display: flex;
  align-items: center;
  justify-content: center;
}
.right-arrow {
  right: calc(50% - 525px / 2);
}
.left-arrow {
  right: calc(50% + 525px / 2 - 31px);
}
.left-arrow:hover,
.right-arrow:hover {
  background-color: #18cfab;
  border: 1px solid #18cfab;
  color: #fff;
}
.min_container {
  width: 483px;
  margin-top: 51px;
  text-align: center;
  display: flex;
  justify-content: center;
  align-items: center;
}
.min {
  height: 59px;
  width: 59px;
  margin: 0 19px;
  box-sizing: content-box;
  border: 6px solid rgba(31, 218, 181, 0.2);
  border-radius: 50%;
  display: inline-block;
  overflow: hidden;
  cursor: pointer;
  transition: all 0.4s ease-in;
}
.min_img {
  height: 100%;
}
.min.active_review,
.min:hover {
  display: block;
  transform: scale(1.1) translate(0, -13px);
  opacity: 1;
  transition: all 0.4s ease-in;
}
.slide_reviews.active_review {
  position: relative;
  display: flex;
}

.slide_reviews.active_review .people_img {
  animation: testim-show 0.7s ease-in-out forwards;
}
.slide_reviews.active_review .name {
  animation: testim-content-in 0.4s ease-in-out forwards;
}
.slide_reviews.active_review .text_reviews {
  animation: testim-content-in 0.5s ease-in-out forwards;
}

@keyframes testim-content-in {
  from {
      opacity: 0;
      transform: translateY(100%);
  }
  to {
      opacity: 1;
      transform: translateY(0);
  }
}

@keyframes testim-show {
  from {
      opacity: 0;
      transform: scale(0);
  }
  to {
      opacity: 1;
      transform: scale(1);
  }
}

.footer {
  height: 121px;
  background: #22353f;
  margin: 0 auto;
  display: flex;
  text-align: center;
  justify-content: center;
}
.footer_text {
  margin-top: 46px;
  font-weight: 300;
  line-height: 1.86;
  color: #aeaeae;
}
.footer_text span {
  color: #18cfab;
}
